import * as React from "react";
import * as Types from "../types";
interface TreeProps {
    treeData: Types.TreeData;
    onClick: (key: string) => void;
}
interface TreeParams {
    tree: Types.RootTree;
    size: {
        width: number;
        height: number;
    };
}
declare const DEFAULT_TREE_PARAMS: TreeParams;
declare const children: (x: Types.TreeItem) => Types.TreeItem[];
declare class Tree extends React.Component<TreeProps, {}> {
    render(): JSX.Element;
    private curves;
    private nodes;
}
export { TreeProps as Props, Tree as Component, children, DEFAULT_TREE_PARAMS as DEFAULT_PROPS };
